Bug 839274 - Tests leave test data lying around
Tests leave test data lying around
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.5.0
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks: 682878
  Show dependency treegraph
 
Reported: 2012-07-11 08:43 EDT by Heiko W. Rupp
Modified: 2013-09-01 06:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:09:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2012-07-11 08:43:10 EDT
Server tests leave the database in an unclean state. The following entries in the plugins table are still there

'PluginManagerBeanTestPlugin1', '/im/rhq/modules/enterprise/server/jar/target/test-classes/org/rhq/enterprise/server/resource/metadata//test-plugin1.jar'
'PluginManagerBeanTestPlugin2', '/im/rhq/modules/enterprise/server/jar/target/test-classes/org/rhq/enterprise/server/resource/metadata//test-plugin2.jar'
'TestPlugin', '/im/rhq/modules/enterprise/server/jar/target/test-classes/org/rhq/enterprise/server/resource/metadata//test-plugin.jar.jar'
'PluginManagerBeanTestPlugin3', '/im/rhq/modules/enterprise/server/jar/target/test-classes/org/rhq/enterprise/server/resource/metadata//test-plugin3.jar'

Which cause test inconsistencies when re-running tests.
Comment 1 Heiko W. Rupp 2012-08-14 11:13:06 EDT
This has been fixed in master 4c3b4fdd3ad080d772b2932b526e08366694dc0f on 
july 12th already.
Comment 2 Heiko W. Rupp 2013-09-01 06:09:08 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.